summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-12 23:33:45 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:45 +0200
commit5c5bd91d149a2a4367707c83d39b5729be9e75a8 (patch)
tree65e557eb0f527da3e41c5391dd4530a02f1cfa1f
parentb66ea6bff79fa39a975185da4279eff06160869f (diff)
downloadslackbuilds-5c5bd91d149a2a4367707c83d39b5729be9e75a8.tar.gz
slackbuilds-5c5bd91d149a2a4367707c83d39b5729be9e75a8.tar.xz
system/pmem: Added to 12.2 repository
-rw-r--r--system/pmem/README4
-rw-r--r--system/pmem/pmem.138
-rw-r--r--system/pmem/pmem.SlackBuild74
-rw-r--r--system/pmem/pmem.info8
-rw-r--r--system/pmem/slack-desc18
5 files changed, 142 insertions, 0 deletions
diff --git a/system/pmem/README b/system/pmem/README
new file mode 100644
index 0000000000..13cd2c576a
--- /dev/null
+++ b/system/pmem/README
@@ -0,0 +1,4 @@
+pmem (Process Memory Information)
+
+Small Linux/Unix command line utility that displays memory information
+about processes.
diff --git a/system/pmem/pmem.1 b/system/pmem/pmem.1
new file mode 100644
index 0000000000..101bc5762e
--- /dev/null
+++ b/system/pmem/pmem.1
@@ -0,0 +1,38 @@
+.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.36.
+.TH PMEM "1" "December 2008" "pmem 1.1.2 (http://www.pmem.net/ Daniel Etzold <detzold@gmx.de>)" "User Commands"
+.SH NAME
+pmem \- manual page for pmem 1.1.2 (http://www.pmem.net/ Daniel Etzold <detzold@gmx.de>)
+.SH DESCRIPTION
+usage: ./pmem [OPTIONS] PIDs
+Determines the memory usage of a process.
+Options:
+.TP
+\fB\-z\fR
+show size (default is resident)
+.TP
+\fB\-s\fR
+show shared memory
+.TP
+\fB\-m\fR
+convert to MB
+.TP
+\fB\-k\fR
+convert to KB
+.TP
+\fB\-d\fR
+show details
+.TP
+\fB\-l\fR
+log memory usage of given pids
+.TP
+\fB\-i\fR <n>
+log interval in milliseconds [default: 100]
+.TP
+\fB\-g\fR <f>
+write a gnuplot command file into plot.gnu
+.TP
+\fB\-h\fR
+this help screen
+.TP
+\fB\-v\fR
+version
diff --git a/system/pmem/pmem.SlackBuild b/system/pmem/pmem.SlackBuild
new file mode 100644
index 0000000000..620cf30a35
--- /dev/null
+++ b/system/pmem/pmem.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for Pmem
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPLv2, as published by Sam Hocevar dec'04.
+# For details see http://sam.zoy.org/wtfpl/COPYING
+
+PRGNAM=pmem
+VERSION=${VERSION:-1.1.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+# help2man --no-info --help-option='-h' --version-option='-v' ./pmem > pmem.1
+mkdir -p $PKG/usr/man/man1
+cat $CWD/pmem.1 > $PKG/usr/man/man1/pmem.1
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/pmem/pmem.info b/system/pmem/pmem.info
new file mode 100644
index 0000000000..3ecc8d4f3f
--- /dev/null
+++ b/system/pmem/pmem.info
@@ -0,0 +1,8 @@
+PRGNAM="pmem"
+VERSION="1.1.2"
+HOMEPAGE="http://www.pmem.net"
+DOWNLOAD="http://www.pmem.net/pmem-1.1.2.tar.gz"
+MD5SUM="bfc9e80a6896e24cffb0e83373c22d52"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="dsomero"
diff --git a/system/pmem/slack-desc b/system/pmem/slack-desc
new file mode 100644
index 0000000000..68d2229e48
--- /dev/null
+++ b/system/pmem/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+pmem: pmem (Process Memory Information)
+pmem:
+pmem: Small Linux/Unix command line utility that displays memory
+pmem: information about processes.
+pmem:
+pmem: Pmem was written by Daniel Etzold
+pmem:
+pmem:
+pmem:
+pmem:
+pmem: